#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,400,480,640,720,800,880,960,1280,2560
 * N : 25,160,240,320,400,480,640,720,800,880,960,1280,2560
 * NB : 9,12,12,32,80,80,52,80,80,80,112,80,80
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 9; \
   else if ((n_) < 280) (nb_) = 12; \
   else if ((n_) < 360) (nb_) = 32; \
   else if ((n_) < 560) (nb_) = 80; \
   else if ((n_) < 680) (nb_) = 52; \
   else if ((n_) < 920) (nb_) = 80; \
   else if ((n_) < 1120) (nb_) = 112; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
