#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,720,800,880,960,1200,1280,1360,1440,2000,4080
 * N : 25,240,480,720,800,880,960,1200,1280,1360,1440,2000,4080
 * NB : 9,80,80,44,80,136,84,80,136,40,144,136,80
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 9; \
   else if ((n_) < 600) (nb_) = 80; \
   else if ((n_) < 760) (nb_) = 44; \
   else if ((n_) < 840) (nb_) = 80; \
   else if ((n_) < 920) (nb_) = 136; \
   else if ((n_) < 1080) (nb_) = 84; \
   else if ((n_) < 1240) (nb_) = 80; \
   else if ((n_) < 1320) (nb_) = 136; \
   else if ((n_) < 1400) (nb_) = 40; \
   else if ((n_) < 1720) (nb_) = 144; \
   else if ((n_) < 3040) (nb_) = 136; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
